Bug 521947 - Review Request: libtevent - talloc based event library
Summary: Review Request: libtevent - talloc based event library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Nagy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 19:43 UTC by Simo Sorce
Modified: 2016-07-26 23:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-20 20:13:08 UTC
Type: ---
mnagy: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Simo Sorce 2009-09-08 19:43:13 UTC
Spec URL: http://simo.fedorapeople.org/libtevent/libtevent.spec
SRPM URL: http://simo.fedorapeople.org/libtevent/libtevent-0.9.8-0.fc11.src.rpm
Description:
Tevent is an event system based on the talloc memory management library. It is the core event system used in Samba. Tevent has support for many event types, including timers, signals, and the classic file descriptor events. Tevent also provide helpers to deal with asynchronous code providing the tevent_req (Tevent Request) functions.

Comment 1 Simo Sorce 2009-09-08 19:53:39 UTC
libtevent is actually already available (with an older version) in Fedora as it is built out of the samba4 package. Plan is to stop building it as part of that package and make this new independent libtevent package instead.

Prompted by upstream finally releasing a libtevent tarball.

Comment 2 Martin Nagy 2009-09-14 15:16:06 UTC
Hi, here's some issues that I've found:

Package builds successfully in mock.
Release starts from 0, should be 1.
The summary really doesn't say much. Maybe something along the lines of "Event system based on libtalloc"?
Maybe you can copy&paste the description from tevent home page.
Copy & paste errors:
 Summary: Developer tools for the Talloc library
 A library that implements a hierarchical allocator with destructors.
 Header files needed to develop programs that link against the Talloc library.

Please use %post and %postun with the -p switch as recommended in https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries
Please don't pass --prefix=%{_usr} to %configure, it is not necessary (see the output of rpm --eval %configure)
Unneeded dependencies: libxslt, docbook-style-xsl
It seems that the autoconf dependency and running ./autogen.sh is unnecessary, the package seems to build OK without them.

Outstanding issues from the review guidelines:
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

rpmlint output:
libtevent.x86_64: W: shared-lib-calls-exit /usr/lib64/libtevent.so.0.9.8 exit@GLIBC_2.2.5
libtevent.x86_64: W: no-documentation
libtevent.x86_64: W: one-line-command-in-%post /sbin/ldconfig
libtevent.x86_64: W: one-line-command-in-%postun /sbin/ldconfig
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

I couldn't find any documentation myself, so the no-documentation warning is understandable. I already talked about the %post{,un} scriplets.

Comment 3 Simo Sorce 2009-09-14 19:14:20 UTC
Ok uploaded new srpm and spec file in the same place.
I think I have addressed all issues, and I am going to notify upstream about license files.

Comment 4 Martin Nagy 2009-09-14 20:44:52 UTC
Sorry, I just noticed one little bit:
rm -f $RPM_BUILD_ROOT%{_libdir}/libtevent.a
I think it would be better to not use -f here. This however is not a blocker, so just use your own judgement.

All the blockers were addressed, this package is APPROVED.

Comment 5 Simo Sorce 2009-09-14 20:50:42 UTC
New Package CVS Request
=======================
Package Name: libtevent
Short Description: Tevent is an event system based on the talloc memory management library.
Owners: simo
Branches: F-11
InitialCC: gd

Comment 6 Dennis Gilmore 2009-09-15 00:59:19 UTC
CVS Done

Comment 7 Martin Nagy 2009-10-20 07:22:10 UTC
Ping?

Comment 8 Stephen Gallagher 2010-02-23 19:01:43 UTC
Package Change Request
======================
Package Name: libtdb
New Branches: EL-5
Owners: sgallagh

This is being branched in preparation for building the SSSD in EPEL. (libtevent is
a dependency)

I have simo's permission to become the EPEL maintainer for this package.

Comment 9 Jason Tibbitts 2010-02-23 20:00:10 UTC
CVS done.

Comment 10 Jason Tibbitts 2010-02-23 20:00:47 UTC
Oops, well, cvs done for libtdb.  Did you want libevent instead?

Comment 11 Stephen Gallagher 2010-02-23 20:03:48 UTC
I wanted both. That was a copy-paste error. (I submitted the request for libtdb first)

Comment 12 Jason Tibbitts 2010-02-23 20:04:37 UTC
CVS done on libtevent as well.


Note You need to log in before you can comment on or make changes to this bug.